# $Revision: 1.63 $, $Date: 2011/02/09 17:47:11 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
# hgw why it doesn't work on builders... temporary disables.
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	BSD
%define		pnam	Resource
Summary:	Perl module with BSD process resource limit and priority functions
Summary(cs.UTF-8):	Funkce pro BSD limity zdrojů a priority procesů
Summary(da.UTF-8):	BSD-procesresursegrænse- og -prioritetsfunktioner
Summary(de.UTF-8):	Funktionen zum Einstellen von Einschränkungen und Prioritäten der Ressourcen des BSD-Prozesses
Summary(es.UTF-8):	Funciones de prioridad y limite de recusros del proceso BSD
Summary(fr.UTF-8):	Limite de ressource de processus BSD et fonctions prioritaires
Summary(it.UTF-8):	Impostazione dei limiti e delle priorità delle risorse del processo BSD
Summary(ja.UTF-8):	BSDのプロセスリソースの制限と優先度の機能
Summary(ko.UTF-8):	BSD 프로세스 자원 한계와 우선 순위 함수
Summary(pl.UTF-8):	Moduł Perla z funkcjami BSD obsługującymi limity zasobów dla procesów
Summary(pt.UTF-8):	Funções de limitação de recursos e prioridades dos processos do BSD
Summary(pt_BR.UTF-8):	Funções de limitação de recursos e prioridades dos processos do BSD
Summary(sv.UTF-8):	BSD-processresursgräns- och -prioritetsfunktioner
Summary(tr.UTF-8):	BSD süreç özkaynak sınırı ve önceliği işlevleri
Summary(zh_CN.UTF-8):	BSD 进程资源限制和优先级函数
Name:		perl-BSD-Resource
Version:	1.2904
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/BSD/JHI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e6b31521b11a27b8266141a7b15f58a8
URL:		http://search.cpan.org/dist/BSD-Resource/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extension implements the BSD process resource limit
functions (getrusage(), getrlimit(), setrlimit()) and the BSD process
priority functions. These are available also via core Perl but here we
do more tricks so that the PRIO_* are available (getpriority(),
setpriority()).

%description -l cs.UTF-8
Modul poskytující rozhraní pro testování a nastavování limitů zdrojů a
priorit procesu.

%description -l da.UTF-8
Et modul som leverer en grænseflade til at teste og sætte
procesbegrænsninger og prioriteter.

%description -l de.UTF-8
Ein Modul mit einem Interface für das Prüfen und Einstellen von
Prozesseinschränkgungen und -prioritäten.

%description -l es.UTF-8
Módulo que proporciona una interfaz para chequear y configurar los
límites del proceso y las prioridades.

%description -l fr.UTF-8
Module fournissant une interface pour tester et établir les limites de
processus et les priorités.

%description -l it.UTF-8
Modulo che offre un'interfaccia per testare e impostare i limiti e le
priorità dei processi.

%description -l ja.UTF-8
プロセスの制限と優先度をテストし設定する為のインターフェイスを提供する
モジュールです。

%description -l ko.UTF-8
프로세스 한계와 우선 순위를 설정하고 시험하는데 사용되는 인터페이스를
제공하는 모듈.

%description -l pl.UTF-8
To rozszerzenie Perla jest implementacją funkcji BSD dotyczących
limitów zasobów dla procesów (getrusage(), getrlimit(), setrlimit())
oraz funkcji BSD związanych z priorytetami procesów. Są one dostępne
także z podstawowego Perla, ale ten moduł pozwala na więcej sztuczek,
bo dostępne są PRIO_* (getpriority(), setpriority()).

%description -l pt.UTF-8
Um módulo que oferece uma interface para testar e definir os limites e
prioridades dos processos.

%description -l pt_BR.UTF-8
Um módulo que oferece uma interface para testar e definir os limites e
prioridades dos processos.

%description -l sv.UTF-8
En modul som tillhandahåller ett gränssnitt för att testa och sätta
processbegränsningar och prioriteter.

%description -l zh_CN.UTF-8
为测试和设置进程限度和优先级而提供的模块。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/BSD/Resource.pm
%dir %{perl_vendorarch}/auto/BSD/Resource
%{perl_vendorarch}/auto/BSD/Resource/*.al
%{perl_vendorarch}/auto/BSD/Resource/autosplit.ix
%{perl_vendorarch}/auto/BSD/Resource/Resource.bs
%attr(755,root,root) %{perl_vendorarch}/auto/BSD/Resource/Resource.so
%{_mandir}/man3/BSD::Resource.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-BSD-Resource.spec,v $
Revision 1.63  2011/02/09 17:47:11  qboosh
- updated to 1.2904

Revision 1.62  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.61  2010/06/06 08:31:25  arekm
- release 2

Revision 1.60  2009/06/15 09:45:59  amateja
- updated to 1.2903

Revision 1.59  2009/03/13 20:22:20  hawk
- release 2

Revision 1.58  2008/04/02 08:29:56  arekm
- up to 1.2901

Revision 1.57  2008-03-02 17:31:12  radek
- release 3

Revision 1.56  2008-02-10 12:00:47  arekm
- rel 2

Revision 1.55  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.54  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.52  2006/07/25 21:10:16  qboosh
- removed extra nl

Revision 1.51  2006/07/25 20:46:35  glen
- 1.28, generic URL

Revision 1.50  2006/05/21 17:41:39  blaass
- up ver

Revision 1.49  2004/11/03 21:38:37  paladine
- formatting

Revision 1.48  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.47  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.46  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.45  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.44  2004/03/06 21:56:37  adamg
- updated to 1.24

Revision 1.43  2003/12/12 12:41:03  undefine
- temporary disable make tests - it doesn't work on out builders :/

Revision 1.42  2003/12/12 00:02:07  undefine
- release 2 to rebuild with ac

Revision 1.41  2003/10/23 23:12:39  qboosh
- updated to 1.23, added tests

Revision 1.40  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.39  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/20 20:47:58  ankry
- merge translations from RH

Revision 1.35  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.34  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.33  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.32  2003/02/18 15:26:46  ankry
- massive attack: change CPAN URLs

Revision 1.31  2003/02/16 22:57:42  qboosh
- longer pl description (based on new en)

Revision 1.30  2003/02/14 13:51:06  mis
- removed stupid Summries

Revision 1.29  2003/02/14 13:47:14  mis
- autoupdated to 1.22

Revision 1.28  2003/01/07 13:08:39  mis
- autoupdated to 1.21

Revision 1.27  2002/11/26 09:59:01  mis
- autoupdated to 1.20

Revision 1.26  2002/11/21 16:37:40  mis
- autoupdated to 1.18

Revision 1.25  2002/09/22 14:21:01  kloczek
- (auto)updated to 1.17: bug fixes.

Revision 1.24  2002/07/16 11:31:02  ankry
- translations, cleaning
- release 2

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %doc and cosmetics

Revision 1.22  2002/07/11 07:57:07  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:29:40  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 19:31:06  kloczek
- adapterized.

Revision 1.16  2002/02/13 14:09:42  depesz
- automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:24:23  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/01 09:43:10  mis
- autoupdated to 1.11

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %{rpmcflags} macro.

Revision 1.11  2001/04/17 12:05:21  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/15 10:26:22  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/25 20:03:43  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/09 17:27:29  baggins
- updated to 1.09

Revision 1.6  2000/12/27 18:30:20  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.4  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  1999/11/08 14:39:52  pius
- initial release
